%define module	pytz
%define name	python-%{module}
%define version	2013b
%define release	%mkrel 3

Summary:	World timezone definitions for Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/p/pytz/%{module}-%{version}.tar.bz2
License:	MIT
Group:		Development/Python
Url:		http://pytz.sourceforge.net/
BuildRequires:	python-devel >= 2.3
BuildRequires:	pkgconfig(python3)
BuildArch:	noarch

%description
pytz brings the Olson tz database into Python. This library allows
accurate and cross platform timezone calculations using Python 2.3 or
higher. It also solves the issue of ambiguous times at the end of
daylight savings, which you can read more about in the Python Library
Reference (datetime.tzinfo).

Amost all (over 540) of the Olson timezones are supported.

%package -n python3-%{module}
Summary:	World timezone definitions for Python 3
Group:		Development/Python

%description  -n python3-%{module}
pytz brings the Olson tz database into Python 3. This library allows
accurate and cross platform timezone calculations using Python 2.3 or
higher. It also solves the issue of ambiguous times at the end of
daylight savings, which you can read more about in the Python Library
Reference (datetime.tzinfo).

Amost all (over 540) of the Olson timezones are supported.

%prep
%setup -q -n %{module}-%{version}
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot} 
popd
%{__python} setup.py install --skip-build --root=%{buildroot} 

%files
%doc *.txt
%{python_sitelib}/pytz/
%{python_sitelib}/*.egg-info

%files -n python3-%{module} 
%doc *.txt
%{python3_sitelib}/pytz/
%{python3_sitelib}/*.egg-info



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2013b-3.mga4
+ Revision: 544199
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2013b-2.mga4
+ Revision: 499274
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 03 2013 philippem <philippem> 2013b-1.mga4
+ Revision: 449863
- update to v 2013b, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2011h-2.mga3
+ Revision: 379420
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 20 2011 fwang <fwang> 2011h-1.mga2
+ Revision: 134507
- new version 2011h

* Sat Apr 23 2011 grenoya <grenoya> 2011e-1.mga1
+ Revision: 89889
- imported package python-pytz


* Fri Apr 01 2011 Lev Givon <lev@mandriva.org> 2011e-1mdv2011.0
+ Revision: 649666
- Update to 2011e.

* Wed Mar 09 2011 Lev Givon <lev@mandriva.org> 2011c-1
+ Revision: 643098
- Update to 2011c.

* Tue Feb 08 2011 Lev Givon <lev@mandriva.org> 2011b-1
+ Revision: 636877
- Update to 2011b.

* Thu Nov 18 2010 Lev Givon <lev@mandriva.org> 2010o-1mdv2011.0
+ Revision: 598752
- Update to 2010o.

* Thu Nov 04 2010 Paulo Andrade <pcpa@mandriva.com.br> 2010k-2mdv2011.0
+ Revision: 593468
+ rebuild (emptylog)

* Wed Jul 28 2010 Lev Givon <lev@mandriva.org> 2010k-1mdv2011.0
+ Revision: 562607
- Update to 2010k.

* Wed Mar 10 2010 Lev Givon <lev@mandriva.org> 2010e-1mdv2010.1
+ Revision: 517257
- Update to 2010e.

* Mon Jan 04 2010 Lev Givon <lev@mandriva.org> 2009u-1mdv2010.1
+ Revision: 486223
- Update to 2009u.

* Tue Sep 29 2009 Lev Givon <lev@mandriva.org> 2009n-1mdv2010.0
+ Revision: 450927
- Update to 2009n.

* Mon Aug 10 2009 Lev Givon <lev@mandriva.org> 2009j-1mdv2010.0
+ Revision: 414453
- Update to 2009j.

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 2008i-2mdv2009.1
+ Revision: 324092
- rebuild

* Fri Nov 07 2008 Lev Givon <lev@mandriva.org> 2008i-1mdv2009.1
+ Revision: 300408
- Update to 2008i.

* Mon Oct 13 2008 Lev Givon <lev@mandriva.org> 2008h-1mdv2009.1
+ Revision: 293371
- Update to 2008h.

* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 2008c-1mdv2009.0
+ Revision: 233820
- import python-pytz


* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 2008c-1mdv2008.1
- Package for Mandriva.

